#include <stdio.h>
#include <string.h>
#include "ram_drive_app.h"
#include "time.h"
#include "my_vcp.h"
#include "fab_nfo.h"
#include "lpddr/lpddr.h"
#include "CMSIS/mss_assert.h"
#include "hal/hal.h"
#include "FatFs/src/ffconf.h"
#include "drivers/mss_gpio/mss_gpio.h"
#include "drivers/mss_usb/mss_usb_device.h"
#include "drivers/mss_usb/mss_usb_device_cdc.h"
#include "drivers/mss_uart/mss_uart.h"

#ifdef __cplusplus
extern "C" {
#endif

#define BYTES_TO_SEND 8
/******************************************************************************
  Private function declarations
*/
void    vcp_init             (void);
void    vcp_release          (uint8_t cfgidx);
uint8_t vcp_process_request  (mss_usbd_setup_pkt_t* setup_pkt,
                              uint8_t** buf,
                              uint32_t* length);
uint8_t vcp_tx_complete      (uint8_t status);
uint8_t vcp_rx               (uint8_t status, uint32_t rx_count);
void    vcp_notification     (uint8_t** buf_p, uint32_t* length_p);
uint8_t vcp_cep_tx_complete  (uint8_t status);
uint8_t vcp_cep_rx           (uint8_t status);

#define VCP_BUFF_LENGTH 512
uint8_t vcp_buff[VCP_BUFF_LENGTH];

#define MY_BUFF_LENGTH 512
uint8_t my_buff[MY_BUFF_LENGTH];

static uint32_t act_vcp_cnt;

mss_usbd_cdc_app_cb_t vcp_media = {
	vcp_init,
	vcp_release,
	vcp_process_request,
	vcp_tx_complete,
	vcp_rx,
	vcp_notification,
	vcp_cep_tx_complete,
	vcp_cep_rx
};
#define VCP_CONFIG_DESCR_LENGTH                         75u
extern mss_usbd_user_descr_cb_t usb_drive_vcp_descriptors_cb;
//extern mss_usbd_user_descr_cb_t* usbd_cdc_class_cb;
//extern uint8_t cdc_conf_descr[VCP_CONFIG_DESCR_LENGTH];


void conf_test (void){
  test_rout();
  MSS_USBD_CDC_rx_prepare(my_buff,MY_BUFF_LENGTH);

}

uint32_t ppdata2vcp_cnt(void){
  return act_vcp_cnt;
}


void dec_ppdata2vcp_cnt(uint32_t vcp_cnt){
  if(act_vcp_cnt <= vcp_cnt)
    act_vcp_cnt = 0;
  else
    act_vcp_cnt = act_vcp_cnt - vcp_cnt;
}

void inc_ppdata2vcp_cnt(uint32_t vcp_cnt){
  act_vcp_cnt = act_vcp_cnt + vcp_cnt;
}


void send_pp_data(void){
  uint32_t ppdata_cnt;
  uint8_t ppdata[BYTES_TO_SEND];
  uint32_t pp_word;
  uint32_t array_size, pp_ready;
  static uint8_t  byte_cnt = 0;
  ela_t elap;

  ppdata[0]= 2;
  ppdata[1]= 5;
  ppdata[2]= 8;
  ppdata[3]= 15;
  ppdata[4]= 23;

//  // check if some data are needed to send
//  if(ppdata2vcp_cnt() != 0)
//    ppdata_cnt = ppdata2vcp_cnt();
//  else
//    return;
//
//  if(MSS_USBD_CDC_tx_nempty() != 0)
//    return;
//
//  // chunks of data are transferred
//  if(ppdata_cnt > BYTES_TO_SEND){
//    dec_ppdata2vcp_cnt(BYTES_TO_SEND);
//    ppdata_cnt = BYTES_TO_SEND;
//  }
//  else{
//    dec_ppdata2vcp_cnt(ppdata_cnt);
//  }
//
//
//  array_size = 0;
//  while(ppdata_cnt != 0){
//
////    // load word with random data
////	if(byte_cnt == 0){
////	  byte_cnt = 4;
////
////	  set_elapsed(elap, 500);
////      pp_ready = 0;
////
////      // wait while pp data will be ready
////      while((pp_ready == 0)){
////
////    	// check timer
////    	if(t_elapsed(elap) == TIM_ELA)
////          return;
////	    pp_ready = (uint8_t) (HW_get_32bit_reg(FABST_ADDR) & 0x04);   // get pp data ready signal
////	  }
////	  pp_word = HW_get_32bit_reg(PP_DATA_ADDR);
////    }
//
//    ppdata[array_size] = (uint8_t) (ppdata2vcp_cnt());//(pp_word & 0xFF);
//    //pp_word   = pp_word >> 8;   // set next word
//    array_size++;               // set next field of array
//    byte_cnt--;                 // decrease number of readed words
//    ppdata_cnt--;               // decrease number of bytes to send
//  }

  MSS_USBD_CDC_tx (ppdata, 5);
}

/******************************************************************************
  See ram_drive_app.h for details of how to use this function.
*/
void VCP_conf (void){

	act_vcp_cnt = 0;

    SYSREG->WDOG_CR = 0x0000;         /*Disable Watch-dog*/

    /*Keep USB PHY out of Reset*/
    MSS_GPIO_set_output(MSS_GPIO_29 , 0);

    MSS_USBD_CDC_init(&vcp_media, MSS_USB_DEVICE_HS);


    //Assign call-back function handler structure needed by USB Device Core driver
    MSS_USBD_set_descr_cb_handler(&usb_drive_vcp_descriptors_cb);


    //Initialize USB Device Core driver
    MSS_USBD_init(MSS_USB_DEVICE_HS);

}

void vcp_init (void){
	MSS_USBD_CDC_rx_prepare(my_buff,MY_BUFF_LENGTH);
	return;



}

void vcp_release (uint8_t cfgidx){
	return;



}

uint8_t vcp_process_request  (mss_usbd_setup_pkt_t* setup_pkt,
                              uint8_t** buf,
                              uint32_t* length){
	*buf = vcp_buff;
	*length = VCP_BUFF_LENGTH;
	MSS_USBD_CDC_rx_prepare(my_buff,MY_BUFF_LENGTH);

	return (0);
}


uint8_t vcp_tx_complete      (uint8_t status){
  MSS_USBD_CDC_rx_prepare(my_buff,MY_BUFF_LENGTH);
  return(0);
}


uint8_t vcp_rx               (uint8_t status, uint32_t rx_count){
	return(0);
}

void    vcp_notification     (uint8_t** buf_p, uint32_t* length_p){

	return;

}


uint8_t vcp_cep_tx_complete  (uint8_t status){
	return 0;

}
uint8_t vcp_cep_rx           (uint8_t status){
	return 0;


}




#ifdef __cplusplus
}
#endif
