-- Version: v11.8 11.8.0.26

library ieee;
use ieee.std_logic_1164.all;
library smartfusion2;
use smartfusion2.all;

entity fifo128_fifo128_0_LSRAM_top is

    port( WD    : in    std_logic_vector(127 downto 0);
          RD    : out   std_logic_vector(31 downto 0);
          WADDR : in    std_logic_vector(4 downto 0);
          RADDR : in    std_logic_vector(6 downto 0);
          WEN   : in    std_logic;
          REN   : in    std_logic;
          CLK   : in    std_logic
        );

end fifo128_fifo128_0_LSRAM_top;

architecture DEF_ARCH of fifo128_fifo128_0_LSRAM_top is 

  component RAM1K18
    generic (MEMORYFILE:string := "");

    port( A_DOUT        : out   std_logic_vector(17 downto 0);
          B_DOUT        : out   std_logic_vector(17 downto 0);
          BUSY          : out   std_logic;
          A_CLK         : in    std_logic := 'U';
          A_DOUT_CLK    : in    std_logic := 'U';
          A_ARST_N      : in    std_logic := 'U';
          A_DOUT_EN     : in    std_logic := 'U';
          A_BLK         : in    std_logic_vector(2 downto 0) := (others => 'U');
          A_DOUT_ARST_N : in    std_logic := 'U';
          A_DOUT_SRST_N : in    std_logic := 'U';
          A_DIN         : in    std_logic_vector(17 downto 0) := (others => 'U');
          A_ADDR        : in    std_logic_vector(13 downto 0) := (others => 'U');
          A_WEN         : in    std_logic_vector(1 downto 0) := (others => 'U');
          B_CLK         : in    std_logic := 'U';
          B_DOUT_CLK    : in    std_logic := 'U';
          B_ARST_N      : in    std_logic := 'U';
          B_DOUT_EN     : in    std_logic := 'U';
          B_BLK         : in    std_logic_vector(2 downto 0) := (others => 'U');
          B_DOUT_ARST_N : in    std_logic := 'U';
          B_DOUT_SRST_N : in    std_logic := 'U';
          B_DIN         : in    std_logic_vector(17 downto 0) := (others => 'U');
          B_ADDR        : in    std_logic_vector(13 downto 0) := (others => 'U');
          B_WEN         : in    std_logic_vector(1 downto 0) := (others => 'U');
          A_EN          : in    std_logic := 'U';
          A_DOUT_LAT    : in    std_logic := 'U';
          A_WIDTH       : in    std_logic_vector(2 downto 0) := (others => 'U');
          A_WMODE       : in    std_logic := 'U';
          B_EN          : in    std_logic := 'U';
          B_DOUT_LAT    : in    std_logic := 'U';
          B_WIDTH       : in    std_logic_vector(2 downto 0) := (others => 'U');
          B_WMODE       : in    std_logic := 'U';
          SII_LOCK      : in    std_logic := 'U'
        );
  end component;

  component GND
    port(Y : out std_logic); 
  end component;

  component VCC
    port(Y : out std_logic); 
  end component;

    signal \VCC\, \GND\, ADLIB_VCC : std_logic;
    signal GND_power_net1 : std_logic;
    signal VCC_power_net1 : std_logic;
    signal nc228, nc203, nc216, nc194, nc151, nc23, nc175, nc250, 
        nc58, nc116, nc74, nc133, nc238, nc167, nc84, nc39, nc72, 
        nc256, nc212, nc205, nc82, nc145, nc181, nc160, nc57, 
        nc156, nc125, nc211, nc73, nc107, nc66, nc83, nc9, nc252, 
        nc171, nc54, nc135, nc41, nc100, nc52, nc251, nc186, nc29, 
        nc118, nc60, nc141, nc193, nc214, nc240, nc45, nc53, 
        nc121, nc176, nc220, nc158, nc209, nc246, nc162, nc11, 
        nc131, nc254, nc96, nc79, nc226, nc146, nc230, nc89, 
        nc119, nc48, nc213, nc126, nc195, nc188, nc242, nc15, 
        nc236, nc102, nc3, nc207, nc47, nc90, nc222, nc159, nc136, 
        nc241, nc253, nc178, nc215, nc59, nc221, nc232, nc18, 
        nc44, nc117, nc189, nc164, nc148, nc42, nc231, nc191, 
        nc255, nc17, nc2, nc110, nc128, nc244, nc43, nc179, nc157, 
        nc36, nc224, nc61, nc104, nc138, nc14, nc150, nc196, 
        nc234, nc149, nc12, nc219, nc30, nc243, nc187, nc65, nc7, 
        nc129, nc8, nc223, nc13, nc180, nc26, nc177, nc139, nc245, 
        nc233, nc163, nc112, nc68, nc49, nc217, nc170, nc91, 
        nc225, nc5, nc20, nc198, nc147, nc67, nc152, nc127, nc103, 
        nc235, nc76, nc208, nc140, nc86, nc95, nc120, nc165, 
        nc137, nc64, nc19, nc70, nc182, nc62, nc199, nc80, nc130, 
        nc98, nc249, nc114, nc56, nc105, nc63, nc172, nc229, nc97, 
        nc161, nc31, nc154, nc50, nc239, nc142, nc247, nc94, 
        nc197, nc122, nc35, nc4, nc227, nc92, nc101, nc184, nc200, 
        nc190, nc166, nc132, nc21, nc237, nc93, nc69, nc206, 
        nc174, nc38, nc113, nc218, nc106, nc25, nc1, nc37, nc202, 
        nc144, nc153, nc46, nc71, nc124, nc81, nc201, nc168, nc34, 
        nc28, nc115, nc192, nc134, nc32, nc40, nc99, nc75, nc183, 
        nc85, nc27, nc108, nc16, nc155, nc51, nc33, nc204, nc173, 
        nc169, nc78, nc24, nc88, nc111, nc55, nc10, nc22, nc210, 
        nc185, nc143, nc248, nc77, nc6, nc109, nc87, nc123
         : std_logic;

begin 

    \GND\ <= GND_power_net1;
    \VCC\ <= VCC_power_net1;
    ADLIB_VCC <= VCC_power_net1;

    fifo128_fifo128_0_LSRAM_top_R0C1 : RAM1K18
      port map(A_DOUT(17) => nc228, A_DOUT(16) => nc203, 
        A_DOUT(15) => nc216, A_DOUT(14) => nc194, A_DOUT(13) => 
        nc151, A_DOUT(12) => nc23, A_DOUT(11) => nc175, 
        A_DOUT(10) => nc250, A_DOUT(9) => nc58, A_DOUT(8) => 
        nc116, A_DOUT(7) => nc74, A_DOUT(6) => nc133, A_DOUT(5)
         => nc238, A_DOUT(4) => nc167, A_DOUT(3) => RD(7), 
        A_DOUT(2) => RD(6), A_DOUT(1) => RD(5), A_DOUT(0) => 
        RD(4), B_DOUT(17) => nc84, B_DOUT(16) => nc39, B_DOUT(15)
         => nc72, B_DOUT(14) => nc256, B_DOUT(13) => nc212, 
        B_DOUT(12) => nc205, B_DOUT(11) => nc82, B_DOUT(10) => 
        nc145, B_DOUT(9) => nc181, B_DOUT(8) => nc160, B_DOUT(7)
         => nc57, B_DOUT(6) => nc156, B_DOUT(5) => nc125, 
        B_DOUT(4) => nc211, B_DOUT(3) => nc73, B_DOUT(2) => nc107, 
        B_DOUT(1) => nc66, B_DOUT(0) => nc83, BUSY => OPEN, A_CLK
         => CLK, A_DOUT_CLK => \VCC\, A_ARST_N => \VCC\, 
        A_DOUT_EN => \VCC\, A_BLK(2) => REN, A_BLK(1) => \VCC\, 
        A_BLK(0) => \VCC\, A_DOUT_ARST_N => \VCC\, A_DOUT_SRST_N
         => \VCC\, A_DIN(17) => \GND\, A_DIN(16) => \GND\, 
        A_DIN(15) => \GND\, A_DIN(14) => \GND\, A_DIN(13) => 
        \GND\, A_DIN(12) => \GND\, A_DIN(11) => \GND\, A_DIN(10)
         => \GND\, A_DIN(9) => \GND\, A_DIN(8) => \GND\, A_DIN(7)
         => \GND\, A_DIN(6) => \GND\, A_DIN(5) => \GND\, A_DIN(4)
         => \GND\, A_DIN(3) => \GND\, A_DIN(2) => \GND\, A_DIN(1)
         => \GND\, A_DIN(0) => \GND\, A_ADDR(13) => \GND\, 
        A_ADDR(12) => \GND\, A_ADDR(11) => \GND\, A_ADDR(10) => 
        \GND\, A_ADDR(9) => \GND\, A_ADDR(8) => RADDR(6), 
        A_ADDR(7) => RADDR(5), A_ADDR(6) => RADDR(4), A_ADDR(5)
         => RADDR(3), A_ADDR(4) => RADDR(2), A_ADDR(3) => 
        RADDR(1), A_ADDR(2) => RADDR(0), A_ADDR(1) => \GND\, 
        A_ADDR(0) => \GND\, A_WEN(1) => \GND\, A_WEN(0) => \GND\, 
        B_CLK => CLK, B_DOUT_CLK => \VCC\, B_ARST_N => \VCC\, 
        B_DOUT_EN => \VCC\, B_BLK(2) => WEN, B_BLK(1) => \VCC\, 
        B_BLK(0) => \VCC\, B_DOUT_ARST_N => \GND\, B_DOUT_SRST_N
         => \VCC\, B_DIN(17) => \GND\, B_DIN(16) => WD(103), 
        B_DIN(15) => WD(102), B_DIN(14) => WD(101), B_DIN(13) => 
        WD(100), B_DIN(12) => WD(71), B_DIN(11) => WD(70), 
        B_DIN(10) => WD(69), B_DIN(9) => WD(68), B_DIN(8) => 
        \GND\, B_DIN(7) => WD(39), B_DIN(6) => WD(38), B_DIN(5)
         => WD(37), B_DIN(4) => WD(36), B_DIN(3) => WD(7), 
        B_DIN(2) => WD(6), B_DIN(1) => WD(5), B_DIN(0) => WD(4), 
        B_ADDR(13) => \GND\, B_ADDR(12) => \GND\, B_ADDR(11) => 
        \GND\, B_ADDR(10) => \GND\, B_ADDR(9) => \GND\, B_ADDR(8)
         => WADDR(4), B_ADDR(7) => WADDR(3), B_ADDR(6) => 
        WADDR(2), B_ADDR(5) => WADDR(1), B_ADDR(4) => WADDR(0), 
        B_ADDR(3) => \GND\, B_ADDR(2) => \GND\, B_ADDR(1) => 
        \GND\, B_ADDR(0) => \GND\, B_WEN(1) => \VCC\, B_WEN(0)
         => \VCC\, A_EN => \VCC\, A_DOUT_LAT => \VCC\, A_WIDTH(2)
         => \GND\, A_WIDTH(1) => \VCC\, A_WIDTH(0) => \GND\, 
        A_WMODE => \GND\, B_EN => \VCC\, B_DOUT_LAT => \VCC\, 
        B_WIDTH(2) => \VCC\, B_WIDTH(1) => \GND\, B_WIDTH(0) => 
        \GND\, B_WMODE => \GND\, SII_LOCK => \GND\);
    
    fifo128_fifo128_0_LSRAM_top_R0C5 : RAM1K18
      port map(A_DOUT(17) => nc9, A_DOUT(16) => nc252, A_DOUT(15)
         => nc171, A_DOUT(14) => nc54, A_DOUT(13) => nc135, 
        A_DOUT(12) => nc41, A_DOUT(11) => nc100, A_DOUT(10) => 
        nc52, A_DOUT(9) => nc251, A_DOUT(8) => nc186, A_DOUT(7)
         => nc29, A_DOUT(6) => nc118, A_DOUT(5) => nc60, 
        A_DOUT(4) => nc141, A_DOUT(3) => RD(23), A_DOUT(2) => 
        RD(22), A_DOUT(1) => RD(21), A_DOUT(0) => RD(20), 
        B_DOUT(17) => nc193, B_DOUT(16) => nc214, B_DOUT(15) => 
        nc240, B_DOUT(14) => nc45, B_DOUT(13) => nc53, B_DOUT(12)
         => nc121, B_DOUT(11) => nc176, B_DOUT(10) => nc220, 
        B_DOUT(9) => nc158, B_DOUT(8) => nc209, B_DOUT(7) => 
        nc246, B_DOUT(6) => nc162, B_DOUT(5) => nc11, B_DOUT(4)
         => nc131, B_DOUT(3) => nc254, B_DOUT(2) => nc96, 
        B_DOUT(1) => nc79, B_DOUT(0) => nc226, BUSY => OPEN, 
        A_CLK => CLK, A_DOUT_CLK => \VCC\, A_ARST_N => \VCC\, 
        A_DOUT_EN => \VCC\, A_BLK(2) => REN, A_BLK(1) => \VCC\, 
        A_BLK(0) => \VCC\, A_DOUT_ARST_N => \VCC\, A_DOUT_SRST_N
         => \VCC\, A_DIN(17) => \GND\, A_DIN(16) => \GND\, 
        A_DIN(15) => \GND\, A_DIN(14) => \GND\, A_DIN(13) => 
        \GND\, A_DIN(12) => \GND\, A_DIN(11) => \GND\, A_DIN(10)
         => \GND\, A_DIN(9) => \GND\, A_DIN(8) => \GND\, A_DIN(7)
         => \GND\, A_DIN(6) => \GND\, A_DIN(5) => \GND\, A_DIN(4)
         => \GND\, A_DIN(3) => \GND\, A_DIN(2) => \GND\, A_DIN(1)
         => \GND\, A_DIN(0) => \GND\, A_ADDR(13) => \GND\, 
        A_ADDR(12) => \GND\, A_ADDR(11) => \GND\, A_ADDR(10) => 
        \GND\, A_ADDR(9) => \GND\, A_ADDR(8) => RADDR(6), 
        A_ADDR(7) => RADDR(5), A_ADDR(6) => RADDR(4), A_ADDR(5)
         => RADDR(3), A_ADDR(4) => RADDR(2), A_ADDR(3) => 
        RADDR(1), A_ADDR(2) => RADDR(0), A_ADDR(1) => \GND\, 
        A_ADDR(0) => \GND\, A_WEN(1) => \GND\, A_WEN(0) => \GND\, 
        B_CLK => CLK, B_DOUT_CLK => \VCC\, B_ARST_N => \VCC\, 
        B_DOUT_EN => \VCC\, B_BLK(2) => WEN, B_BLK(1) => \VCC\, 
        B_BLK(0) => \VCC\, B_DOUT_ARST_N => \GND\, B_DOUT_SRST_N
         => \VCC\, B_DIN(17) => \GND\, B_DIN(16) => WD(119), 
        B_DIN(15) => WD(118), B_DIN(14) => WD(117), B_DIN(13) => 
        WD(116), B_DIN(12) => WD(87), B_DIN(11) => WD(86), 
        B_DIN(10) => WD(85), B_DIN(9) => WD(84), B_DIN(8) => 
        \GND\, B_DIN(7) => WD(55), B_DIN(6) => WD(54), B_DIN(5)
         => WD(53), B_DIN(4) => WD(52), B_DIN(3) => WD(23), 
        B_DIN(2) => WD(22), B_DIN(1) => WD(21), B_DIN(0) => 
        WD(20), B_ADDR(13) => \GND\, B_ADDR(12) => \GND\, 
        B_ADDR(11) => \GND\, B_ADDR(10) => \GND\, B_ADDR(9) => 
        \GND\, B_ADDR(8) => WADDR(4), B_ADDR(7) => WADDR(3), 
        B_ADDR(6) => WADDR(2), B_ADDR(5) => WADDR(1), B_ADDR(4)
         => WADDR(0), B_ADDR(3) => \GND\, B_ADDR(2) => \GND\, 
        B_ADDR(1) => \GND\, B_ADDR(0) => \GND\, B_WEN(1) => \VCC\, 
        B_WEN(0) => \VCC\, A_EN => \VCC\, A_DOUT_LAT => \VCC\, 
        A_WIDTH(2) => \GND\, A_WIDTH(1) => \VCC\, A_WIDTH(0) => 
        \GND\, A_WMODE => \GND\, B_EN => \VCC\, B_DOUT_LAT => 
        \VCC\, B_WIDTH(2) => \VCC\, B_WIDTH(1) => \GND\, 
        B_WIDTH(0) => \GND\, B_WMODE => \GND\, SII_LOCK => \GND\);
    
    fifo128_fifo128_0_LSRAM_top_R0C6 : RAM1K18
      port map(A_DOUT(17) => nc146, A_DOUT(16) => nc230, 
        A_DOUT(15) => nc89, A_DOUT(14) => nc119, A_DOUT(13) => 
        nc48, A_DOUT(12) => nc213, A_DOUT(11) => nc126, 
        A_DOUT(10) => nc195, A_DOUT(9) => nc188, A_DOUT(8) => 
        nc242, A_DOUT(7) => nc15, A_DOUT(6) => nc236, A_DOUT(5)
         => nc102, A_DOUT(4) => nc3, A_DOUT(3) => RD(27), 
        A_DOUT(2) => RD(26), A_DOUT(1) => RD(25), A_DOUT(0) => 
        RD(24), B_DOUT(17) => nc207, B_DOUT(16) => nc47, 
        B_DOUT(15) => nc90, B_DOUT(14) => nc222, B_DOUT(13) => 
        nc159, B_DOUT(12) => nc136, B_DOUT(11) => nc241, 
        B_DOUT(10) => nc253, B_DOUT(9) => nc178, B_DOUT(8) => 
        nc215, B_DOUT(7) => nc59, B_DOUT(6) => nc221, B_DOUT(5)
         => nc232, B_DOUT(4) => nc18, B_DOUT(3) => nc44, 
        B_DOUT(2) => nc117, B_DOUT(1) => nc189, B_DOUT(0) => 
        nc164, BUSY => OPEN, A_CLK => CLK, A_DOUT_CLK => \VCC\, 
        A_ARST_N => \VCC\, A_DOUT_EN => \VCC\, A_BLK(2) => REN, 
        A_BLK(1) => \VCC\, A_BLK(0) => \VCC\, A_DOUT_ARST_N => 
        \VCC\, A_DOUT_SRST_N => \VCC\, A_DIN(17) => \GND\, 
        A_DIN(16) => \GND\, A_DIN(15) => \GND\, A_DIN(14) => 
        \GND\, A_DIN(13) => \GND\, A_DIN(12) => \GND\, A_DIN(11)
         => \GND\, A_DIN(10) => \GND\, A_DIN(9) => \GND\, 
        A_DIN(8) => \GND\, A_DIN(7) => \GND\, A_DIN(6) => \GND\, 
        A_DIN(5) => \GND\, A_DIN(4) => \GND\, A_DIN(3) => \GND\, 
        A_DIN(2) => \GND\, A_DIN(1) => \GND\, A_DIN(0) => \GND\, 
        A_ADDR(13) => \GND\, A_ADDR(12) => \GND\, A_ADDR(11) => 
        \GND\, A_ADDR(10) => \GND\, A_ADDR(9) => \GND\, A_ADDR(8)
         => RADDR(6), A_ADDR(7) => RADDR(5), A_ADDR(6) => 
        RADDR(4), A_ADDR(5) => RADDR(3), A_ADDR(4) => RADDR(2), 
        A_ADDR(3) => RADDR(1), A_ADDR(2) => RADDR(0), A_ADDR(1)
         => \GND\, A_ADDR(0) => \GND\, A_WEN(1) => \GND\, 
        A_WEN(0) => \GND\, B_CLK => CLK, B_DOUT_CLK => \VCC\, 
        B_ARST_N => \VCC\, B_DOUT_EN => \VCC\, B_BLK(2) => WEN, 
        B_BLK(1) => \VCC\, B_BLK(0) => \VCC\, B_DOUT_ARST_N => 
        \GND\, B_DOUT_SRST_N => \VCC\, B_DIN(17) => \GND\, 
        B_DIN(16) => WD(123), B_DIN(15) => WD(122), B_DIN(14) => 
        WD(121), B_DIN(13) => WD(120), B_DIN(12) => WD(91), 
        B_DIN(11) => WD(90), B_DIN(10) => WD(89), B_DIN(9) => 
        WD(88), B_DIN(8) => \GND\, B_DIN(7) => WD(59), B_DIN(6)
         => WD(58), B_DIN(5) => WD(57), B_DIN(4) => WD(56), 
        B_DIN(3) => WD(27), B_DIN(2) => WD(26), B_DIN(1) => 
        WD(25), B_DIN(0) => WD(24), B_ADDR(13) => \GND\, 
        B_ADDR(12) => \GND\, B_ADDR(11) => \GND\, B_ADDR(10) => 
        \GND\, B_ADDR(9) => \GND\, B_ADDR(8) => WADDR(4), 
        B_ADDR(7) => WADDR(3), B_ADDR(6) => WADDR(2), B_ADDR(5)
         => WADDR(1), B_ADDR(4) => WADDR(0), B_ADDR(3) => \GND\, 
        B_ADDR(2) => \GND\, B_ADDR(1) => \GND\, B_ADDR(0) => 
        \GND\, B_WEN(1) => \VCC\, B_WEN(0) => \VCC\, A_EN => 
        \VCC\, A_DOUT_LAT => \VCC\, A_WIDTH(2) => \GND\, 
        A_WIDTH(1) => \VCC\, A_WIDTH(0) => \GND\, A_WMODE => 
        \GND\, B_EN => \VCC\, B_DOUT_LAT => \VCC\, B_WIDTH(2) => 
        \VCC\, B_WIDTH(1) => \GND\, B_WIDTH(0) => \GND\, B_WMODE
         => \GND\, SII_LOCK => \GND\);
    
    fifo128_fifo128_0_LSRAM_top_R0C3 : RAM1K18
      port map(A_DOUT(17) => nc148, A_DOUT(16) => nc42, 
        A_DOUT(15) => nc231, A_DOUT(14) => nc191, A_DOUT(13) => 
        nc255, A_DOUT(12) => nc17, A_DOUT(11) => nc2, A_DOUT(10)
         => nc110, A_DOUT(9) => nc128, A_DOUT(8) => nc244, 
        A_DOUT(7) => nc43, A_DOUT(6) => nc179, A_DOUT(5) => nc157, 
        A_DOUT(4) => nc36, A_DOUT(3) => RD(15), A_DOUT(2) => 
        RD(14), A_DOUT(1) => RD(13), A_DOUT(0) => RD(12), 
        B_DOUT(17) => nc224, B_DOUT(16) => nc61, B_DOUT(15) => 
        nc104, B_DOUT(14) => nc138, B_DOUT(13) => nc14, 
        B_DOUT(12) => nc150, B_DOUT(11) => nc196, B_DOUT(10) => 
        nc234, B_DOUT(9) => nc149, B_DOUT(8) => nc12, B_DOUT(7)
         => nc219, B_DOUT(6) => nc30, B_DOUT(5) => nc243, 
        B_DOUT(4) => nc187, B_DOUT(3) => nc65, B_DOUT(2) => nc7, 
        B_DOUT(1) => nc129, B_DOUT(0) => nc8, BUSY => OPEN, A_CLK
         => CLK, A_DOUT_CLK => \VCC\, A_ARST_N => \VCC\, 
        A_DOUT_EN => \VCC\, A_BLK(2) => REN, A_BLK(1) => \VCC\, 
        A_BLK(0) => \VCC\, A_DOUT_ARST_N => \VCC\, A_DOUT_SRST_N
         => \VCC\, A_DIN(17) => \GND\, A_DIN(16) => \GND\, 
        A_DIN(15) => \GND\, A_DIN(14) => \GND\, A_DIN(13) => 
        \GND\, A_DIN(12) => \GND\, A_DIN(11) => \GND\, A_DIN(10)
         => \GND\, A_DIN(9) => \GND\, A_DIN(8) => \GND\, A_DIN(7)
         => \GND\, A_DIN(6) => \GND\, A_DIN(5) => \GND\, A_DIN(4)
         => \GND\, A_DIN(3) => \GND\, A_DIN(2) => \GND\, A_DIN(1)
         => \GND\, A_DIN(0) => \GND\, A_ADDR(13) => \GND\, 
        A_ADDR(12) => \GND\, A_ADDR(11) => \GND\, A_ADDR(10) => 
        \GND\, A_ADDR(9) => \GND\, A_ADDR(8) => RADDR(6), 
        A_ADDR(7) => RADDR(5), A_ADDR(6) => RADDR(4), A_ADDR(5)
         => RADDR(3), A_ADDR(4) => RADDR(2), A_ADDR(3) => 
        RADDR(1), A_ADDR(2) => RADDR(0), A_ADDR(1) => \GND\, 
        A_ADDR(0) => \GND\, A_WEN(1) => \GND\, A_WEN(0) => \GND\, 
        B_CLK => CLK, B_DOUT_CLK => \VCC\, B_ARST_N => \VCC\, 
        B_DOUT_EN => \VCC\, B_BLK(2) => WEN, B_BLK(1) => \VCC\, 
        B_BLK(0) => \VCC\, B_DOUT_ARST_N => \GND\, B_DOUT_SRST_N
         => \VCC\, B_DIN(17) => \GND\, B_DIN(16) => WD(111), 
        B_DIN(15) => WD(110), B_DIN(14) => WD(109), B_DIN(13) => 
        WD(108), B_DIN(12) => WD(79), B_DIN(11) => WD(78), 
        B_DIN(10) => WD(77), B_DIN(9) => WD(76), B_DIN(8) => 
        \GND\, B_DIN(7) => WD(47), B_DIN(6) => WD(46), B_DIN(5)
         => WD(45), B_DIN(4) => WD(44), B_DIN(3) => WD(15), 
        B_DIN(2) => WD(14), B_DIN(1) => WD(13), B_DIN(0) => 
        WD(12), B_ADDR(13) => \GND\, B_ADDR(12) => \GND\, 
        B_ADDR(11) => \GND\, B_ADDR(10) => \GND\, B_ADDR(9) => 
        \GND\, B_ADDR(8) => WADDR(4), B_ADDR(7) => WADDR(3), 
        B_ADDR(6) => WADDR(2), B_ADDR(5) => WADDR(1), B_ADDR(4)
         => WADDR(0), B_ADDR(3) => \GND\, B_ADDR(2) => \GND\, 
        B_ADDR(1) => \GND\, B_ADDR(0) => \GND\, B_WEN(1) => \VCC\, 
        B_WEN(0) => \VCC\, A_EN => \VCC\, A_DOUT_LAT => \VCC\, 
        A_WIDTH(2) => \GND\, A_WIDTH(1) => \VCC\, A_WIDTH(0) => 
        \GND\, A_WMODE => \GND\, B_EN => \VCC\, B_DOUT_LAT => 
        \VCC\, B_WIDTH(2) => \VCC\, B_WIDTH(1) => \GND\, 
        B_WIDTH(0) => \GND\, B_WMODE => \GND\, SII_LOCK => \GND\);
    
    fifo128_fifo128_0_LSRAM_top_R0C4 : RAM1K18
      port map(A_DOUT(17) => nc223, A_DOUT(16) => nc13, 
        A_DOUT(15) => nc180, A_DOUT(14) => nc26, A_DOUT(13) => 
        nc177, A_DOUT(12) => nc139, A_DOUT(11) => nc245, 
        A_DOUT(10) => nc233, A_DOUT(9) => nc163, A_DOUT(8) => 
        nc112, A_DOUT(7) => nc68, A_DOUT(6) => nc49, A_DOUT(5)
         => nc217, A_DOUT(4) => nc170, A_DOUT(3) => RD(19), 
        A_DOUT(2) => RD(18), A_DOUT(1) => RD(17), A_DOUT(0) => 
        RD(16), B_DOUT(17) => nc91, B_DOUT(16) => nc225, 
        B_DOUT(15) => nc5, B_DOUT(14) => nc20, B_DOUT(13) => 
        nc198, B_DOUT(12) => nc147, B_DOUT(11) => nc67, 
        B_DOUT(10) => nc152, B_DOUT(9) => nc127, B_DOUT(8) => 
        nc103, B_DOUT(7) => nc235, B_DOUT(6) => nc76, B_DOUT(5)
         => nc208, B_DOUT(4) => nc140, B_DOUT(3) => nc86, 
        B_DOUT(2) => nc95, B_DOUT(1) => nc120, B_DOUT(0) => nc165, 
        BUSY => OPEN, A_CLK => CLK, A_DOUT_CLK => \VCC\, A_ARST_N
         => \VCC\, A_DOUT_EN => \VCC\, A_BLK(2) => REN, A_BLK(1)
         => \VCC\, A_BLK(0) => \VCC\, A_DOUT_ARST_N => \VCC\, 
        A_DOUT_SRST_N => \VCC\, A_DIN(17) => \GND\, A_DIN(16) => 
        \GND\, A_DIN(15) => \GND\, A_DIN(14) => \GND\, A_DIN(13)
         => \GND\, A_DIN(12) => \GND\, A_DIN(11) => \GND\, 
        A_DIN(10) => \GND\, A_DIN(9) => \GND\, A_DIN(8) => \GND\, 
        A_DIN(7) => \GND\, A_DIN(6) => \GND\, A_DIN(5) => \GND\, 
        A_DIN(4) => \GND\, A_DIN(3) => \GND\, A_DIN(2) => \GND\, 
        A_DIN(1) => \GND\, A_DIN(0) => \GND\, A_ADDR(13) => \GND\, 
        A_ADDR(12) => \GND\, A_ADDR(11) => \GND\, A_ADDR(10) => 
        \GND\, A_ADDR(9) => \GND\, A_ADDR(8) => RADDR(6), 
        A_ADDR(7) => RADDR(5), A_ADDR(6) => RADDR(4), A_ADDR(5)
         => RADDR(3), A_ADDR(4) => RADDR(2), A_ADDR(3) => 
        RADDR(1), A_ADDR(2) => RADDR(0), A_ADDR(1) => \GND\, 
        A_ADDR(0) => \GND\, A_WEN(1) => \GND\, A_WEN(0) => \GND\, 
        B_CLK => CLK, B_DOUT_CLK => \VCC\, B_ARST_N => \VCC\, 
        B_DOUT_EN => \VCC\, B_BLK(2) => WEN, B_BLK(1) => \VCC\, 
        B_BLK(0) => \VCC\, B_DOUT_ARST_N => \GND\, B_DOUT_SRST_N
         => \VCC\, B_DIN(17) => \GND\, B_DIN(16) => WD(115), 
        B_DIN(15) => WD(114), B_DIN(14) => WD(113), B_DIN(13) => 
        WD(112), B_DIN(12) => WD(83), B_DIN(11) => WD(82), 
        B_DIN(10) => WD(81), B_DIN(9) => WD(80), B_DIN(8) => 
        \GND\, B_DIN(7) => WD(51), B_DIN(6) => WD(50), B_DIN(5)
         => WD(49), B_DIN(4) => WD(48), B_DIN(3) => WD(19), 
        B_DIN(2) => WD(18), B_DIN(1) => WD(17), B_DIN(0) => 
        WD(16), B_ADDR(13) => \GND\, B_ADDR(12) => \GND\, 
        B_ADDR(11) => \GND\, B_ADDR(10) => \GND\, B_ADDR(9) => 
        \GND\, B_ADDR(8) => WADDR(4), B_ADDR(7) => WADDR(3), 
        B_ADDR(6) => WADDR(2), B_ADDR(5) => WADDR(1), B_ADDR(4)
         => WADDR(0), B_ADDR(3) => \GND\, B_ADDR(2) => \GND\, 
        B_ADDR(1) => \GND\, B_ADDR(0) => \GND\, B_WEN(1) => \VCC\, 
        B_WEN(0) => \VCC\, A_EN => \VCC\, A_DOUT_LAT => \VCC\, 
        A_WIDTH(2) => \GND\, A_WIDTH(1) => \VCC\, A_WIDTH(0) => 
        \GND\, A_WMODE => \GND\, B_EN => \VCC\, B_DOUT_LAT => 
        \VCC\, B_WIDTH(2) => \VCC\, B_WIDTH(1) => \GND\, 
        B_WIDTH(0) => \GND\, B_WMODE => \GND\, SII_LOCK => \GND\);
    
    fifo128_fifo128_0_LSRAM_top_R0C2 : RAM1K18
      port map(A_DOUT(17) => nc137, A_DOUT(16) => nc64, 
        A_DOUT(15) => nc19, A_DOUT(14) => nc70, A_DOUT(13) => 
        nc182, A_DOUT(12) => nc62, A_DOUT(11) => nc199, 
        A_DOUT(10) => nc80, A_DOUT(9) => nc130, A_DOUT(8) => nc98, 
        A_DOUT(7) => nc249, A_DOUT(6) => nc114, A_DOUT(5) => nc56, 
        A_DOUT(4) => nc105, A_DOUT(3) => RD(11), A_DOUT(2) => 
        RD(10), A_DOUT(1) => RD(9), A_DOUT(0) => RD(8), 
        B_DOUT(17) => nc63, B_DOUT(16) => nc172, B_DOUT(15) => 
        nc229, B_DOUT(14) => nc97, B_DOUT(13) => nc161, 
        B_DOUT(12) => nc31, B_DOUT(11) => nc154, B_DOUT(10) => 
        nc50, B_DOUT(9) => nc239, B_DOUT(8) => nc142, B_DOUT(7)
         => nc247, B_DOUT(6) => nc94, B_DOUT(5) => nc197, 
        B_DOUT(4) => nc122, B_DOUT(3) => nc35, B_DOUT(2) => nc4, 
        B_DOUT(1) => nc227, B_DOUT(0) => nc92, BUSY => OPEN, 
        A_CLK => CLK, A_DOUT_CLK => \VCC\, A_ARST_N => \VCC\, 
        A_DOUT_EN => \VCC\, A_BLK(2) => REN, A_BLK(1) => \VCC\, 
        A_BLK(0) => \VCC\, A_DOUT_ARST_N => \VCC\, A_DOUT_SRST_N
         => \VCC\, A_DIN(17) => \GND\, A_DIN(16) => \GND\, 
        A_DIN(15) => \GND\, A_DIN(14) => \GND\, A_DIN(13) => 
        \GND\, A_DIN(12) => \GND\, A_DIN(11) => \GND\, A_DIN(10)
         => \GND\, A_DIN(9) => \GND\, A_DIN(8) => \GND\, A_DIN(7)
         => \GND\, A_DIN(6) => \GND\, A_DIN(5) => \GND\, A_DIN(4)
         => \GND\, A_DIN(3) => \GND\, A_DIN(2) => \GND\, A_DIN(1)
         => \GND\, A_DIN(0) => \GND\, A_ADDR(13) => \GND\, 
        A_ADDR(12) => \GND\, A_ADDR(11) => \GND\, A_ADDR(10) => 
        \GND\, A_ADDR(9) => \GND\, A_ADDR(8) => RADDR(6), 
        A_ADDR(7) => RADDR(5), A_ADDR(6) => RADDR(4), A_ADDR(5)
         => RADDR(3), A_ADDR(4) => RADDR(2), A_ADDR(3) => 
        RADDR(1), A_ADDR(2) => RADDR(0), A_ADDR(1) => \GND\, 
        A_ADDR(0) => \GND\, A_WEN(1) => \GND\, A_WEN(0) => \GND\, 
        B_CLK => CLK, B_DOUT_CLK => \VCC\, B_ARST_N => \VCC\, 
        B_DOUT_EN => \VCC\, B_BLK(2) => WEN, B_BLK(1) => \VCC\, 
        B_BLK(0) => \VCC\, B_DOUT_ARST_N => \GND\, B_DOUT_SRST_N
         => \VCC\, B_DIN(17) => \GND\, B_DIN(16) => WD(107), 
        B_DIN(15) => WD(106), B_DIN(14) => WD(105), B_DIN(13) => 
        WD(104), B_DIN(12) => WD(75), B_DIN(11) => WD(74), 
        B_DIN(10) => WD(73), B_DIN(9) => WD(72), B_DIN(8) => 
        \GND\, B_DIN(7) => WD(43), B_DIN(6) => WD(42), B_DIN(5)
         => WD(41), B_DIN(4) => WD(40), B_DIN(3) => WD(11), 
        B_DIN(2) => WD(10), B_DIN(1) => WD(9), B_DIN(0) => WD(8), 
        B_ADDR(13) => \GND\, B_ADDR(12) => \GND\, B_ADDR(11) => 
        \GND\, B_ADDR(10) => \GND\, B_ADDR(9) => \GND\, B_ADDR(8)
         => WADDR(4), B_ADDR(7) => WADDR(3), B_ADDR(6) => 
        WADDR(2), B_ADDR(5) => WADDR(1), B_ADDR(4) => WADDR(0), 
        B_ADDR(3) => \GND\, B_ADDR(2) => \GND\, B_ADDR(1) => 
        \GND\, B_ADDR(0) => \GND\, B_WEN(1) => \VCC\, B_WEN(0)
         => \VCC\, A_EN => \VCC\, A_DOUT_LAT => \VCC\, A_WIDTH(2)
         => \GND\, A_WIDTH(1) => \VCC\, A_WIDTH(0) => \GND\, 
        A_WMODE => \GND\, B_EN => \VCC\, B_DOUT_LAT => \VCC\, 
        B_WIDTH(2) => \VCC\, B_WIDTH(1) => \GND\, B_WIDTH(0) => 
        \GND\, B_WMODE => \GND\, SII_LOCK => \GND\);
    
    fifo128_fifo128_0_LSRAM_top_R0C0 : RAM1K18
      port map(A_DOUT(17) => nc101, A_DOUT(16) => nc184, 
        A_DOUT(15) => nc200, A_DOUT(14) => nc190, A_DOUT(13) => 
        nc166, A_DOUT(12) => nc132, A_DOUT(11) => nc21, 
        A_DOUT(10) => nc237, A_DOUT(9) => nc93, A_DOUT(8) => nc69, 
        A_DOUT(7) => nc206, A_DOUT(6) => nc174, A_DOUT(5) => nc38, 
        A_DOUT(4) => nc113, A_DOUT(3) => RD(3), A_DOUT(2) => 
        RD(2), A_DOUT(1) => RD(1), A_DOUT(0) => RD(0), B_DOUT(17)
         => nc218, B_DOUT(16) => nc106, B_DOUT(15) => nc25, 
        B_DOUT(14) => nc1, B_DOUT(13) => nc37, B_DOUT(12) => 
        nc202, B_DOUT(11) => nc144, B_DOUT(10) => nc153, 
        B_DOUT(9) => nc46, B_DOUT(8) => nc71, B_DOUT(7) => nc124, 
        B_DOUT(6) => nc81, B_DOUT(5) => nc201, B_DOUT(4) => nc168, 
        B_DOUT(3) => nc34, B_DOUT(2) => nc28, B_DOUT(1) => nc115, 
        B_DOUT(0) => nc192, BUSY => OPEN, A_CLK => CLK, 
        A_DOUT_CLK => \VCC\, A_ARST_N => \VCC\, A_DOUT_EN => 
        \VCC\, A_BLK(2) => REN, A_BLK(1) => \VCC\, A_BLK(0) => 
        \VCC\, A_DOUT_ARST_N => \VCC\, A_DOUT_SRST_N => \VCC\, 
        A_DIN(17) => \GND\, A_DIN(16) => \GND\, A_DIN(15) => 
        \GND\, A_DIN(14) => \GND\, A_DIN(13) => \GND\, A_DIN(12)
         => \GND\, A_DIN(11) => \GND\, A_DIN(10) => \GND\, 
        A_DIN(9) => \GND\, A_DIN(8) => \GND\, A_DIN(7) => \GND\, 
        A_DIN(6) => \GND\, A_DIN(5) => \GND\, A_DIN(4) => \GND\, 
        A_DIN(3) => \GND\, A_DIN(2) => \GND\, A_DIN(1) => \GND\, 
        A_DIN(0) => \GND\, A_ADDR(13) => \GND\, A_ADDR(12) => 
        \GND\, A_ADDR(11) => \GND\, A_ADDR(10) => \GND\, 
        A_ADDR(9) => \GND\, A_ADDR(8) => RADDR(6), A_ADDR(7) => 
        RADDR(5), A_ADDR(6) => RADDR(4), A_ADDR(5) => RADDR(3), 
        A_ADDR(4) => RADDR(2), A_ADDR(3) => RADDR(1), A_ADDR(2)
         => RADDR(0), A_ADDR(1) => \GND\, A_ADDR(0) => \GND\, 
        A_WEN(1) => \GND\, A_WEN(0) => \GND\, B_CLK => CLK, 
        B_DOUT_CLK => \VCC\, B_ARST_N => \VCC\, B_DOUT_EN => 
        \VCC\, B_BLK(2) => WEN, B_BLK(1) => \VCC\, B_BLK(0) => 
        \VCC\, B_DOUT_ARST_N => \GND\, B_DOUT_SRST_N => \VCC\, 
        B_DIN(17) => \GND\, B_DIN(16) => WD(99), B_DIN(15) => 
        WD(98), B_DIN(14) => WD(97), B_DIN(13) => WD(96), 
        B_DIN(12) => WD(67), B_DIN(11) => WD(66), B_DIN(10) => 
        WD(65), B_DIN(9) => WD(64), B_DIN(8) => \GND\, B_DIN(7)
         => WD(35), B_DIN(6) => WD(34), B_DIN(5) => WD(33), 
        B_DIN(4) => WD(32), B_DIN(3) => WD(3), B_DIN(2) => WD(2), 
        B_DIN(1) => WD(1), B_DIN(0) => WD(0), B_ADDR(13) => \GND\, 
        B_ADDR(12) => \GND\, B_ADDR(11) => \GND\, B_ADDR(10) => 
        \GND\, B_ADDR(9) => \GND\, B_ADDR(8) => WADDR(4), 
        B_ADDR(7) => WADDR(3), B_ADDR(6) => WADDR(2), B_ADDR(5)
         => WADDR(1), B_ADDR(4) => WADDR(0), B_ADDR(3) => \GND\, 
        B_ADDR(2) => \GND\, B_ADDR(1) => \GND\, B_ADDR(0) => 
        \GND\, B_WEN(1) => \VCC\, B_WEN(0) => \VCC\, A_EN => 
        \VCC\, A_DOUT_LAT => \VCC\, A_WIDTH(2) => \GND\, 
        A_WIDTH(1) => \VCC\, A_WIDTH(0) => \GND\, A_WMODE => 
        \GND\, B_EN => \VCC\, B_DOUT_LAT => \VCC\, B_WIDTH(2) => 
        \VCC\, B_WIDTH(1) => \GND\, B_WIDTH(0) => \GND\, B_WMODE
         => \GND\, SII_LOCK => \GND\);
    
    fifo128_fifo128_0_LSRAM_top_R0C7 : RAM1K18
      port map(A_DOUT(17) => nc134, A_DOUT(16) => nc32, 
        A_DOUT(15) => nc40, A_DOUT(14) => nc99, A_DOUT(13) => 
        nc75, A_DOUT(12) => nc183, A_DOUT(11) => nc85, A_DOUT(10)
         => nc27, A_DOUT(9) => nc108, A_DOUT(8) => nc16, 
        A_DOUT(7) => nc155, A_DOUT(6) => nc51, A_DOUT(5) => nc33, 
        A_DOUT(4) => nc204, A_DOUT(3) => RD(31), A_DOUT(2) => 
        RD(30), A_DOUT(1) => RD(29), A_DOUT(0) => RD(28), 
        B_DOUT(17) => nc173, B_DOUT(16) => nc169, B_DOUT(15) => 
        nc78, B_DOUT(14) => nc24, B_DOUT(13) => nc88, B_DOUT(12)
         => nc111, B_DOUT(11) => nc55, B_DOUT(10) => nc10, 
        B_DOUT(9) => nc22, B_DOUT(8) => nc210, B_DOUT(7) => nc185, 
        B_DOUT(6) => nc143, B_DOUT(5) => nc248, B_DOUT(4) => nc77, 
        B_DOUT(3) => nc6, B_DOUT(2) => nc109, B_DOUT(1) => nc87, 
        B_DOUT(0) => nc123, BUSY => OPEN, A_CLK => CLK, 
        A_DOUT_CLK => \VCC\, A_ARST_N => \VCC\, A_DOUT_EN => 
        \VCC\, A_BLK(2) => REN, A_BLK(1) => \VCC\, A_BLK(0) => 
        \VCC\, A_DOUT_ARST_N => \VCC\, A_DOUT_SRST_N => \VCC\, 
        A_DIN(17) => \GND\, A_DIN(16) => \GND\, A_DIN(15) => 
        \GND\, A_DIN(14) => \GND\, A_DIN(13) => \GND\, A_DIN(12)
         => \GND\, A_DIN(11) => \GND\, A_DIN(10) => \GND\, 
        A_DIN(9) => \GND\, A_DIN(8) => \GND\, A_DIN(7) => \GND\, 
        A_DIN(6) => \GND\, A_DIN(5) => \GND\, A_DIN(4) => \GND\, 
        A_DIN(3) => \GND\, A_DIN(2) => \GND\, A_DIN(1) => \GND\, 
        A_DIN(0) => \GND\, A_ADDR(13) => \GND\, A_ADDR(12) => 
        \GND\, A_ADDR(11) => \GND\, A_ADDR(10) => \GND\, 
        A_ADDR(9) => \GND\, A_ADDR(8) => RADDR(6), A_ADDR(7) => 
        RADDR(5), A_ADDR(6) => RADDR(4), A_ADDR(5) => RADDR(3), 
        A_ADDR(4) => RADDR(2), A_ADDR(3) => RADDR(1), A_ADDR(2)
         => RADDR(0), A_ADDR(1) => \GND\, A_ADDR(0) => \GND\, 
        A_WEN(1) => \GND\, A_WEN(0) => \GND\, B_CLK => CLK, 
        B_DOUT_CLK => \VCC\, B_ARST_N => \VCC\, B_DOUT_EN => 
        \VCC\, B_BLK(2) => WEN, B_BLK(1) => \VCC\, B_BLK(0) => 
        \VCC\, B_DOUT_ARST_N => \GND\, B_DOUT_SRST_N => \VCC\, 
        B_DIN(17) => \GND\, B_DIN(16) => WD(127), B_DIN(15) => 
        WD(126), B_DIN(14) => WD(125), B_DIN(13) => WD(124), 
        B_DIN(12) => WD(95), B_DIN(11) => WD(94), B_DIN(10) => 
        WD(93), B_DIN(9) => WD(92), B_DIN(8) => \GND\, B_DIN(7)
         => WD(63), B_DIN(6) => WD(62), B_DIN(5) => WD(61), 
        B_DIN(4) => WD(60), B_DIN(3) => WD(31), B_DIN(2) => 
        WD(30), B_DIN(1) => WD(29), B_DIN(0) => WD(28), 
        B_ADDR(13) => \GND\, B_ADDR(12) => \GND\, B_ADDR(11) => 
        \GND\, B_ADDR(10) => \GND\, B_ADDR(9) => \GND\, B_ADDR(8)
         => WADDR(4), B_ADDR(7) => WADDR(3), B_ADDR(6) => 
        WADDR(2), B_ADDR(5) => WADDR(1), B_ADDR(4) => WADDR(0), 
        B_ADDR(3) => \GND\, B_ADDR(2) => \GND\, B_ADDR(1) => 
        \GND\, B_ADDR(0) => \GND\, B_WEN(1) => \VCC\, B_WEN(0)
         => \VCC\, A_EN => \VCC\, A_DOUT_LAT => \VCC\, A_WIDTH(2)
         => \GND\, A_WIDTH(1) => \VCC\, A_WIDTH(0) => \GND\, 
        A_WMODE => \GND\, B_EN => \VCC\, B_DOUT_LAT => \VCC\, 
        B_WIDTH(2) => \VCC\, B_WIDTH(1) => \GND\, B_WIDTH(0) => 
        \GND\, B_WMODE => \GND\, SII_LOCK => \GND\);
    
    GND_power_inst1 : GND
      port map( Y => GND_power_net1);

    VCC_power_inst1 : VCC
      port map( Y => VCC_power_net1);


end DEF_ARCH; 
