# Load the HECTOR tcl extension
source HECTOR_data_acq.tcl

# Open the serial device
set dev [openDevice COM17]

# Reset daughterboard
  sendDaughterReset $dev

# Select the daughter board connection (1 = HDMI, 2 = SATA)
  selectDaughterBoard $dev 2
  #sendFabricCommand $dev 12 0 1
# Reset daughterboard
  #sendDaughterReset $dev
  

  set data "                  
    [fromHEX {0000000100000002}]
    [fromHEX {0000000300000004}]
    [fromHEX {0000000500000006}]
    [fromHEX {0000000700000008}]
    [fromHEX {000000090000000A}]
    [fromHEX {0000000B0000000C}]
    [fromHEX {0000000D0000000E}]
    [fromHEX {0000000F00000010}]
    [fromHEX {0000001100000012}]
    [fromHEX {0000001300000014}]
    [fromHEX {0000001500000016}]
    [fromHEX {0000001700000018}]
    [fromHEX {000000190000001A}]
    [fromHEX {0000001B0000001C}]
    [fromHEX {0000001D0000001E}]
    [fromHEX {0000001F00000020}]
  "
  
  # Up to 16 words
  set mb2db_words  4
  # Up to 16 words
  set db2mb_words  4
  
  # Puf mode depends on the daughter board implementation
  set puf_mode     1
  sendPufData $dev $puf_mode $mb2db_words $db2mb_words $data 1
  set puf_mode     2  
  sendPufData $dev $puf_mode $mb2db_words $db2mb_words $data 1
  set puf_mode     3  
  sendPufData $dev $puf_mode $mb2db_words $db2mb_words $data 1
  set puf_mode     4  
  sendPufData $dev $puf_mode $mb2db_words $db2mb_words $data 1
  set puf_mode     5  
  sendPufData $dev $puf_mode $mb2db_words $db2mb_words $data 1

# Close the connection to the board
disconnect $dev
